Index: lisp/pgg-gpg.el
===================================================================
RCS file: /usr/local/cvsroot/gnus/lisp/pgg-gpg.el,v
retrieving revision 7.17
diff -w -u -r7.17 pgg-gpg.el
--- lisp/pgg-gpg.el	29 Mar 2006 07:51:17 -0000	7.17
+++ lisp/pgg-gpg.el	30 Mar 2006 00:30:30 -0000
@@ -210,7 +210,7 @@
 
 (defun pgg-gpg-status-GET_HIDDEN (process line)
   (let ((entry (assoc pgg-gpg-key-id pgg-gpg-user-id-alist)))
-    (if (setq pgg-gpg-passphrase
+    (when (setq pgg-gpg-passphrase
 	      (if (eq pgg-gpg-key-id 'SYM)
 		  (pgg-read-passphrase
 		   "GnuPG passphrase for symmetric encryption: ")
@@ -222,6 +222,8 @@
 		 (if (eq pgg-gpg-key-id 'PIN)
 		     "PIN"
 		   pgg-gpg-key-id))))
+      (if (fboundp 'string-as-unibyte)
+	  (setq pgg-gpg-passphrase (string-as-unibyte pgg-gpg-passphrase)))
 	(process-send-string process (concat pgg-gpg-passphrase "\n")))))
 
 (defun pgg-gpg-status-GOOD_PASSPHRASE (process line)
